package cz.moneta.test.harness.connectors.rest;

import java.util.Map;

public class RemoteRestCallRequest {
    private String path;
    private Object request;
    private Map<String, Object> getProperties;
    private Map<String, Object> headers;

    public RemoteRestCallRequest() {}

    public RemoteRestCallRequest(String path, Map<String, Object> getProperties, Map<String, Object> headers) {
        this.path = path;
        this.getProperties = getProperties;
        this.headers = headers;
    }

    public RemoteRestCallRequest(String path, Object request, Map<String, Object> headers) {
        this.path = path;
        this.request = request;
        this.headers = headers;
    }

    public String getPath() {
        return path;
    }

    public Object getRequest() {
        return request;
    }

    public Map<String, Object> getGetProperties() {
        return getProperties;
    }

    public Map<String, Object> getHeaders() {
        return headers;
    }
}
